package cz.jzitnik.game.entities.items.registry.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.logic.services.flowing.lava.LavaData;
import cz.jzitnik.game.sprites.Lava;

@BlockRegistry(value = "lava", drops = "lava_bucket")
public class LavaBlock extends Block {
    public LavaBlock() {
        super("lava", SpriteLoader.SPRITES.LAVA);
        setMineable(false);
        setSpriteState(Lava.LavaState.FIRST);
        setData(new LavaData());
        setFlowing(true);
        setGhost(true);
    }
}
