package cz.jzitnik.game.entities.items.registry.items;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.ItemRegistry;
import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

@ItemRegistry("golden_pickaxe")
public class GoldenPickaxe extends Item {
    public GoldenPickaxe() {
        super("golden_pickaxe", "Golden pickaxe", ItemType.PICKAXE, SpriteLoader.SPRITES.GOLDEN_PICKAXE,
                ToolVariant.GOLDEN, 14.5, 32, false);
    }
}
