package cz.jzitnik.game.mobs;

import cz.jzitnik.game.entities.items.ItemBlockSupplier;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class EntityKillTest {
    @Test
    @DisplayName("Test that entities exists for all entity spawn handlers")
    void allEntitiesExists() {
        EntityKill entityKill = new EntityKill();
        for (String entity : entityKill.handlerList.keySet()) {
            assertDoesNotThrow(() -> ItemBlockSupplier.getEntity(entity),
                    "Entity " + entity + " does not exist but has a kill implemented.");
        }
    }
}
